<img src = "/assets/pictures/MAIVE%20LOGO.png">

# MAIVE

###### Mathematics and Artificial Intelligence with Visualization Extended - 2023, Piyush Pant :heart:

<hr>

Official Documentation : <a target="_blank" rel="noopener" href="https://piyushwithpant.github.io/MAIVE/" title="MAIVE webpage" >MAIVE</a>

PyPi Package webpage : <a target="_blank" rel="noopener" href="https://pypi.org/project/MAIVE/" title="PYPI Maive" >MAIVE</a>

## Get started with MAIVE

MAIVE (मैव) is a powerful python package equipped with advanced mathematics to assist you in the domain of Artificial Intelligence while also providing you with visualization support. The mathematics level begins from high school to advanced, any topic that may be required in the AI domain is provided in the MAIVE. Please understand that the package is still under development, so there might be missing topics (which will be added soon). To become a contributor or if you want to suggest something, please contact us via
<a target="_blank" rel="noopener" href="https://wa.me/919145728659" title="Whatsapp | Piyush Pant" >Whatsapp</a>
or through the
<a href="https://piyushwithpant.github.io/" target="_blank" rel="noopener" title="Webpage | Piyush Pant" >Webpage </a>.

### # Installation

`$ pip install maive`

<hr>

### Brief Documentation

Please visit the section as per your requirements. It is advised to
read the <b> HOW TO USE? </b> section before using the package.

<h6> HOW TO USE? </h6>

<ul>
  <li>
    <b> To import the package </b>

<code > from maive.maive import Maive </code>
<br />
<code > M = Maive() </code>
<br />
<code > isAP = M.AP_checkIfAP([10,1,34]) </code>
<br />
<code > print(isAP) </code>

OR

<code > from maive import maive </code>
<br />
<code > M = maive.Maive() </code>
<br />
<code > isAP = M.AP_checkIfAP([10,1,34]) </code>
<br />
<code > print(isAP) </code>

  </li>
  <li>
 All the functions follow a naming convention. A function's naming is divided in two parts with underscore(_). The before underscore is the domain of mathematics that the function belongs to and the part after underscore is the name of the function. for example, the function to generate an AP which is from Arithmetic Progression domain will be like - <code?>AP_generateAP()</code>
however, there is an exception for global functions like
<code> isPerfectSquare() </code>

  </li>
  <li>
 To ensure better performance, please input data with their respective keywords when working with functions. For example, <code> QE_typeOfRoots(a=100, b=-455, c=97) </code> where a,b and c are the coefficients of the quadratic equation.
  </li>
</ul>

#### Please visit the actual Documentation of the MAIVE to get a deeper understanding.
